/**
 * @description: element-ui-初始化
 * @author:
 */
// element 组件
import Element from 'element-ui'
// dialog 弹框
import Dialog from './Dialog'
const ElementUI = {
  install: function(Vue, data) {
    Vue.use(Element, data)
    Vue.use(Dialog)
    Element.Dialog.props.closeOnClickModal.default = false // dialog弹框的 右上角叉号是否屏蔽
    Element.Table.props.border.default = true// table 表格边框 是否显示
    Element.Table.props.stripe.default = true// table 表格隔行变色
    Element.TableColumn.props.showTooltipWhenOverflow.default = true // table 表格文字超出 toop展示
    Element.DatePicker.props.clearable = { default: false }// 时间选择器-不显示清空按钮

    /* 窗口监听 */
    const onresizeFn = () => {
      Element.Table.props.maxHeight.default = window.innerHeight - 56 - 40 - 40 - 20 - 122 - 40 // table 最大表格高度
    }
    onresizeFn()
    window.addEventListener('resize', onresizeFn, false)
  }
}
// 导出
export default ElementUI
